Subject: [alpine-aports] [PATCH] main/btrfs-progs: some fixes in APKBUILD. libraries moved to -libs subpackage

From: Valery Kartel <[email-masked]>
Date: Thu, 10 Dec 2015 16:50:14 +0200

- remove unnecessary parameters in ./configure & make install
- don't know why libraries was in -dev subpackage. Move it to -libs subpackage
---
 main/btrfs-progs/APKBUILD | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

diff --git a/main/btrfs-progs/APKBUILD b/main/btrfs-progs/APKBUILD
index c004bcd..ed29946 100644
--- a/main/btrfs-progs/APKBUILD
+++ b/main/btrfs-progs/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Valery Kartel <[email-masked]>
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=btrfs-progs
 pkgver=4.3.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Tools for the btrfs"
 url="https://btrfs.wiki.kernel.org/"
 arch="all"
@@ -12,8 +13,8 @@ makedepends="util-linux-dev bash attr-dev acl-dev e2fsprogs-dev zlib-dev
 	lzo-dev asciidoc xmlto linux-headers
 	autoconf automake libtool"
 install=
-subpackages="$pkgname-doc $pkgname-dev $pkgname-bash-completion:completion"
-source="https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v${pkgver}.tar.xz
+subpackages="$pkgname-doc $pkgname-dev $pkgname-bash-completion:completion $pkgname-libs"
+source="https://www.kernel.org/pub/linux/kernel/people/kdave/$pkgname/$pkgname-v$pkgver.tar.xz
 	includes.patch
 	musl-compat.patch
 	0001-use-pthread_join-instead-of-pthread_tryjoin_np.patch
@@ -36,7 +37,6 @@ build() {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
-		--disable-static \
 		--disable-backtrace \
 		|| return 1
 	make || return 1
@@ -44,12 +44,7 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make -j1 prefix=/usr mandir=/usr/share/man DESTDIR="$pkgdir" install || return 1
-}
-
-dev() {
-	default_dev || return 1
-	mv "$pkgdir"/usr/lib/*.so* "$subpkgdir"/usr/lib
+	make -j1 DESTDIR="$pkgdir" install || return 1
 }
 
 completion() {
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---